package lcsb.mapviewer.services.view;

import lcsb.mapviewer.model.user.Configuration;

import org.apache.log4j.Logger;

import lcsb.mapviewer.common.exception.NotImplementedException;

import com.google.gson.Gson;

/**
 * Factory class for {@link ConfigurationView} class.
 * 
 * @author Piotr Gawron
 * 
 */
public class ConfigurationViewFactory extends AbstractViewFactory<Configuration, ConfigurationView> {
	/**
	 * Default class logger.
	 */
	@SuppressWarnings("unused")
	private static Logger	logger	= Logger.getLogger(ConfigurationViewFactory.class);

	@Override
	public ConfigurationView create(Configuration configuration) {
		ConfigurationView result = new ConfigurationView(configuration);
		if (configuration == null) {
			return result;
		}
		result.setType(configuration.getType());
		result.setValue(configuration.getValue());
		return result;
	}

	@Override
	public String createGson(ConfigurationView object) {
		return new Gson().toJson(object);
	}

	@Override
	public Configuration viewToObject(ConfigurationView view) {
		throw new NotImplementedException();
	}
}
