package lcsb.mapviewer.services.view;

import static org.junit.Assert.assertNotNull;

import java.util.ArrayList;
import java.util.List;

import lcsb.mapviewer.services.ServiceTestFunctions;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.primefaces.model.map.LatLng;
import org.springframework.beans.factory.annotation.Autowired;

public class ModelViewFactoryTest extends ServiceTestFunctions{
	@SuppressWarnings("unused")
	private static Logger logger = Logger.getLogger(ModelViewFactoryTest .class);

	@Autowired
	ModelViewFactory	modelViewFactory;

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testCreateEmpty() throws Exception {
		try {
			Object object = modelViewFactory.create(null);
			assertNotNull(object);
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

	@Test
	public void testCreateJson() throws Exception {
		try {
			ModelView object = modelViewFactory.create(null);
			String json = modelViewFactory.createGson(object);
			assertNotNull(json);

			object.setCenterLatLng(new LatLng(1, 2));
			List<String> list = new ArrayList<>();
			list.add("ASS");
			object.setDescription("ASDAS");
			object.setIdObject(2);
			List<LayoutView> views = new ArrayList<LayoutView>();
			LayoutView view = new LayoutView();
			view.setCreator("AA");
			view.setDirectory("C:\\test\\directory/");
			views.add(view);
			object.setLayouts(views);
			object.setMaxZoom(4);
			object.setMinZoom(3);
			object.setPictureSize(123);
			object.setTileSize(234);
			object.setVersion("#$#$#");
			json = modelViewFactory.createGson(object);
			assertNotNull(json);
			
			
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

}
